Ubuntu

nvidia-current conflicts with fglrx (both cards present)

Reported by Václav Šmilauer on 2012-10-25
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
nvidia-graphics-drivers (Ubuntu)
Undecided
Unassigned

Bug Description

I have primary AMD FirePro GPU for graphics and a secondary headless nVidia GTX 560Ti for OpenCL. In Ubuntu 12.04, it was possible to install both nvidia-current and fglrx alongside, and after adjusting alternatves for libGL.so, Xorg would happily use the first card, and nVidia was available for OpenCL computations.

Since quantal, nvidia-current is conflicting with fglrx. While I can imagine this is intentional (most users won't ever need to install both), it is nevertheless a packaging bug.

Please provide at least a workaround on how to install both drivers simultaneously.

Version informations attached automatically (I hope).

ProblemType: Bug
DistroRelease: Ubuntu 12.10
Package: nvidia-current (not installed)
ProcVersionSignature: Ubuntu 3.5.0-17.28-generic 3.5.5
Uname: Linux 3.5.0-17-generic x86_64
NonfreeKernelModules: fglrx
.tmp.unity.support.test.0:

ApportVersion: 2.6.1-0ubuntu6
Architecture: amd64
CompizPlugins: [core,bailer,detection,composite,opengl,decor,compiztoolbox,resize,move,place,snap,gnomecompat,mousepoll,session,regex,wall,imgpng,grid,vpswitch,animation,expo,ezoom,workarounds,unitymtgrabhandles,fade,scale,unityshell]
CompositorRunning: None
Date: Thu Oct 25 18:09:17 2012
DistUpgraded: 2012-03-12 13:59:22,955 DEBUG icon theme changed, re-reading
DistroCodename: quantal
DistroVariant: ubuntu
GraphicsCard:
 Advanced Micro Devices [AMD] nee ATI Cayman PRO GL [FirePro V7900] [1002:6704] (prog-if 00 [VGA controller])
   Subsystem: Hewlett-Packard Company Device [103c:2b0c]
 NVIDIA Corporation GF114 [GeForce GTX 560 Ti] [10de:1200] (rev a1) (prog-if 00 [VGA controller])
   Subsystem: CardExpert Technology Device [10b0:0401]
JockeyStatus:
 kmod:nvidia_experimental_304 - Experimental NVIDIA binary Xorg driver, kernel module and VDPAU library (Proprietary, Disabled, Not in use)
 kmod:fglrx - Video driver for the AMD graphics accelerators (Proprietary, Disabled, Not in use)
 kmod:nvidia_current - NVIDIA binary Xorg driver, kernel module and VDPAU library (Proprietary, Disabled, Not in use)
 kmod:nvidia_current_updates - NVIDIA binary Xorg driver, kernel module and VDPAU library (Proprietary, Disabled, Not in use)
 kmod:fglrx_updates - ATI Fire GL (Proprietary, Enabled, Not in use)
MachineType: System manufacturer System Product Name
MarkForUpload: True
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.5.0-17-generic root=UUID=3cc5f6b9-69d1-4bb6-a9d0-93d506786ed9 ro nosplash nosplash
SourcePackage: nvidia-graphics-drivers
UpgradeStatus: Upgraded to quantal on 2012-03-12 (227 days ago)
dmi.bios.date: 10/03/2011
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 0604
dmi.board.asset.tag: To be filled by O.E.M.
dmi.board.name: P9X79 DELUXE
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: Rev 1.xx
dmi.chassis.asset.tag: Asset-1234567890
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr0604:bd10/03/2011:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKComputerINC.:rnP9X79DELUXE:rvrRev1.xx:cvnChassisManufacture:ct3:cvrChassisVersion:
dmi.product.name: System Product Name
dmi.product.version: System Version
dmi.sys.vendor: System manufacturer
modified.conffile..etc.modprobe.d.nvidia.current.hybrid.conf: [deleted]
version.compiz: compiz 1:0.9.8.4-0ubuntu3
version.fglrx-installer: fglrx-installer N/A
version.ia32-libs: ia32-libs 20090808ubuntu36
version.libdrm2: libdrm2 2.4.39-0ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 9.0-0ubuntu1
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 9.0-0ubuntu1
version.xserver-xorg-core: xserver-xorg-core 2:1.13.0-0ubuntu6
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.3-0ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.99.99~git20120913.8637f772-0ubuntu1
version.xserver-xorg-video-intel: xserver-xorg-video-intel N/A
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau N/A

Václav Šmilauer (eudoxos) wrote :
To post a comment you must log in.